/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : ADC2.H
**     Project   : bldc_hall_demo
**     Processor : MC56F8006_48_LQFP
**     Beantype  : Init_ADC
**     Version   : Bean 01.283, Driver 01.00, CPU db: 3.00.177
**     Compiler  : Metrowerks DSP C Compiler
**     Date/Time : 28.11.2008, 14:14
**     Abstract  :
**         This "Init_ADC" Peripheral Inspector implements the
**         Analog-to-Digital converter module (ADC), basic 
**         initialization and settings.
**     Settings  :
**          Bean name                                      : ADC2
**          Device                                         : ADC0
**          Settings                                       : 
**            Clock settings                               : 
**              Input clock                                : Bus clock
**              Continuous clock output                    : Inactived
**              Clock divide select                        : Input clock / 4
**              Sample time                                : Short
**              ADCK frequency                             : 8 MHz
**              Conversion time                            : 3.03 us
**            Continuous conversion A                      : Disabled
**            Continuous conversion B                      : Disabled
**            Conversion mode                              : 12-bit
**            Power configuration                          : High speed
**            Conversion trigger                           : Hardware
**            Voltage reference                            : VDDA/VSSA
**          Pins/Signals                                   : 
**            ADC input pins                               : 2
**              Input pin 0                                : 
**                Pin                                      : GPIOC0_ANA5_FAULT0_CMP1_M1
**                Pin signal                               : 
**              Input pin 0                                : 
**                Pin                                      : GPIOC1_PGA0NON_INV_ANA7_CMP2_M2
**                Pin signal                               : 
**          Interrupts                                     : 
**            Conversion complete                          : 
**              Interrupt                                  : INT_ADC0_Complete
**              Interrupt priority                         : 1 (USER1)
**              Conversion A complete                      : Disabled interrupt
**              Conversion B complete                      : Enabled interrupt
**              ISR name                                   : ISR_ADCA_Complete
**          Initialization                                 : 
**            Call Init method                             : yes
**            Enable peripheral clock                      : yes
**            Initial channel A select                     : AD5
**            Initial channel B select                     : AD7
**     Contents  :
**         Init - void ADC2_Init(void);
**
**     (c) Copyright UNIS, a.s. 1997-2008
**     UNIS, a.s.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef __ADC2_H
#define __ADC2_H

/* MODULE ADC2. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */

#include "Cpu.h"




/* PESL device mapping  */
#define ADC2_DEVICE ADC0

extern void ISR_ADCA_Complete(void);


void ADC2_Init(void);
/*
** ===================================================================
**     Method      :  ADC2_Init (bean Init_ADC)
**
**     Description :
**         This method initializes registers of the ADC module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see "Call Init method" property of the
**         bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END ADC2. */

#endif
/* ifndef __ADC2_H */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [04.17]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
