/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : PDB1.C
**     Project   : bldc_hall_demo
**     Processor : MC56F8006_48_LQFP
**     Beantype  : Init_PDB
**     Version   : Bean 01.003, Driver 01.00, CPU db: 3.00.177
**     Compiler  : Metrowerks DSP C Compiler
**     Date/Time : 26.11.2008, 17:10
**     Abstract  :
**         This bean provides initialization of the Programable Dealy Block (PDB).
**         The primary function of the programmable delay block is simply to provide
**         a controllable delay from the PWM SYNC output to the sample trigger input
**         of the programmable gain amplifiers (PGA) and ADCs.
**         An alternate function of the PDB is to generate timing for comparator (HSCMP) sampling windows,
**         or to generate a sampling/filter clock that can be used by the comparator.
**     Settings  :
**          Bean name                                      : PDB1
**          Device                                         : PDB
**          Settings                                       : 
**            Trigger A                                    : 
**              Output enable                              : Enabled
**              Output select                              : A or B
**              Delay                                      : 0.000 us
**              Delay                                      : 0
**            Trigger B                                    : 
**              Output enable                              : Enabled
**              Output select                              : A or B
**              Delay                                      : 25.000 us
**              Delay                                      : 800
**            Counter                                      : 
**              Counter speed                              : 32000 kHz
**              Clock prescaler select                     : clock/1
**              Continuous mode                            : Disabled
**              Reset period                               : 50.000 us
**              Modulus                                    : 1600
**          Pins                                           : 
**            Input trigger select                         : PWM_reload_sync
**            Input trigger select signal                  : 
**          Initialization                                 : 
**            Enable peripheral clock                      : yes
**            Call Init method                             : yes
**     Contents  :
**         Init - void PDB1_Init(void);
**
**     (c) Copyright UNIS, a.s. 1997-2008
**     UNIS, a.s.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

/* MODULE PDB1. */

#include "PDB1.h"

/*
** ===================================================================
**     Method      :  PDB1_Init (bean Init_PDB)
**
**     Description :
**         This method initializes registers of the PDB module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in the user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         <Call Init method> property of the bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void PDB1_Init(void)
{
  /* PDB_DELAYA: DELAYA=0 */
  setReg16(PDB_DELAYA, 0x00);           
  /* PDB_DELAYB: DELAYB=0x0320 */
  setReg16(PDB_DELAYB, 0x0320);         
  /* PDB_MOD: MOD=0x0640 */
  setReg16(PDB_MOD, 0x0640);            
  /* PDB_SCR: PRESCALER=0,??=0,AOS=2,??=0,BOS=2,CONT=0,SWTRIG=0,TRIGSEL=3,ENA=1,ENB=1 */
  setReg16(PDB_SCR, 0x090F);            
}

/* END PDB1. */

/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [04.17]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
