/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : PIT1.H
**     Project   : bldc_hall_demo
**     Processor : MC56F8006_48_LQFP
**     Beantype  : Init_PIT
**     Version   : Bean 01.054, Driver 01.04, CPU db: 3.00.177
**     Compiler  : Metrowerks DSP C Compiler
**     Date/Time : 27.11.2008, 16:03
**     Abstract  :
**         This module encapsulates the Programmable Interval Timer module (PIT)
**         contains a 16 bit up counter, a modulo register, and a control register.
**         The PIT module design includes these distinctive features: 16 bit counter/timer,
**         programmable count modulo, max count rate equals peripheral clock rate,
**         slave mode allows synchronization of multiple PIT count enables.
**     Settings  :
**          Bean name                                      : PIT1
**          Device                                         : PIT
**          Settings
**            Slave mode                                   : Disabled
**            Clock settings
**              Prescaler                                  : 32
**              Modulo register value                      : 2000
**          Interrupts
**            Roll-over interrupt                          : 
**              Interrupt                                  : INT_PIT
**              Roll-over interrupt                        : Enabled
**              Interrupt priority                         : medium priority
**              ISR name                                   : ISR_SpeedController
**          Initialization
**            Call Init method                             : yes
**            Counter enable                               : yes
**     Contents  :
**         Init - void PIT1_Init(void);
**
**     (c) Copyright UNIS, a.s. 1997-2008
**     UNIS, a.s.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef __PIT1
#define __PIT1

/* MODULE PIT1. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */

#include "Cpu.h"




/* PESL device mapping  */
#define PIT1_DEVICE PIT

extern void ISR_SpeedController(void);

void PIT1_Init(void);
/*
** ===================================================================
**     Method      :  PIT1_Init (bean Init_PIT)
**
**     Description :
**         This method initializes registers of the PIT module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see <Call Init method> property of the
**         bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END PIT1. */

#endif
/* ifndef __PIT1 */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [04.17]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
