/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : PWM1.H
**     Project   : bldc_hall_demo
**     Processor : MC56F8006_48_LQFP
**     Beantype  : Init_PWM
**     Version   : Bean 01.294, Driver 01.21, CPU db: 3.00.177
**     Compiler  : Metrowerks DSP C Compiler
**     Date/Time : 21.11.2008, 14:01
**     Abstract  :
**         This "Init_PWM" Peripheral Inspector implements the
**         Puls Width Modulator module (PWM), basic initialization
**         and settings.
**     Settings  :
**         PWM module                  : PWM_Timer
**
**         Clock setting
**             PWM prescaler           : 1
**             Counter modulo          : 800
**             Dead time value         : 16
**             Reload frequency        : 1
**             PWM frequency           : 20 kHz
**             PWM period              : 50 us
**             PWM deadtime            : 0.5 us
**
**         Interrupts
**             Reload interrupt        : Disabled
**
**             Fault 0 interrupt       : Disabled
**             Fault 1 interrupt       : Disabled
**             Fault 2 interrupt       : Disabled
**             Fault 3 interrupt       : Disabled
**
**         HW acceleration             : Enabled
**             Load mode               : Write to value reg 0 also writes 1-5
**             Swap & mask operation   : Enhanced
**             Swap PWM channels 0 & 1 : no
**             Swap PWM channels 2 & 3 : no
**             Swap PWM channels 4 & 5 : no
**
**         Correction
**             Method                  : Manual correction or no correction
**             Internal current ctrl.0 : Top
**             Internal current ctrl.1 : Top
**             Internal current ctrl.2 : Top
**
**         Channel settings
**             Alignment               : Center-aligned mode
**             Channels 0-1
**               Mode of PWM           : Complementary
**               Phase shift PWM.      : Disabled
**               Top output polarity   : Positive
**               Bottom output polar.  : Positive
**             Channels 2-3
**               Mode of PWM channels  : Complementary
**               Phase shift PWM.      : Disabled
**               Top output polarity   : Positive
**               Bottom output polar.  : Positive
**             Channels 4-5
**               Mode of PWM channels  : Complementary
**               Phase shift PWM.      : Disabled
**               Top output polarity   : Positive
**               Bottom output polar.  : Positive
**
**         Enabled in wait mode        : no
**         Enabled in EnOnCE mode      : no
**         Write protect               : no
**         Output pads                 : Enabled
**         Half cycle reload           : no
**
**         Channel 0
**             PWM Pin                 : GPIOA0_PWM0
**             Enable software control : no
**             Channel masked          : no
**
**         Channel 1
**             PWM Pin                 : GPIOA1_PWM1
**             Enable software control : no
**             Channel masked          : no
**
**         Channel 2
**             PWM Pin                 : GPIOA2_PWM2
**             Enable software control : no
**             Channel masked          : no
**
**         Channel 3
**             PWM Pin                 : GPIOA3_PWM3_TXD_EXTAL
**             Enable software control : no
**             Channel masked          : no
**
**         Channel 4
**             PWM Pin                 : GPIOA4_PWM4_FAULT1_SDA_TIN2
**             Enable software control : no
**             Channel masked          : no
**
**         Channel 5
**             PWM Pin                 : GPIOA5_PWM5_FAULT2_EXT_SYNC_TIN3
**             Enable software control : no
**             Channel masked          : no
**         Fault 0
**             clearing mode           : Manual
**             fault polarity          : Positive
**             glitch stretch          : Disabled
**         Fault 1
**             clearing mode           : Manual
**             fault polarity          : Positive
**             glitch stretch          : Disabled
**         Fault 2
**             clearing mode           : Manual
**             fault polarity          : Positive
**             glitch stretch          : Disabled
**         Fault 3
**             clearing mode           : Manual
**             fault polarity          : Positive
**             glitch stretch          : Disabled
**
**         Synchronization
**             output                  : Disabled
**             windowed input          : Disabled
**
**         Initialization
**             Call Init method        : yes
**             Enable peripheral clock : yes
**             Load values after init  : yes
**             Enable PWM generator    : yes
**
**     Contents  :
**         Init - void PWM1_Init(void);
**
**     (c) Copyright UNIS, a.s. 1997-2008
**     UNIS, a.s.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef __PWM1
#define __PWM1

/* MODULE PWM1. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */
#include "Cpu.h"

/* PESL device mapping  */
#define PWM1_DEVICE PWM

void PWM1_Init(void);
/*
** ===================================================================
**     Method      :  PWM1_Init (bean Init_PWM)
**
**     Description :
**         Peripheral Initialization Beans provide a low-level
**         hardware approach to initialize registers of the
**         peripheral module. They are intended for experienced
**         users.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END PWM1. */

#endif /* ifndef __PWM1 */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [04.17]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
